Index: trunk/SophyaLib/Samba/Makefile
===================================================================
--- trunk/SophyaLib/Samba/Makefile	(revision 2763)
+++ trunk/SophyaLib/Samba/Makefile	(revision 2765)
@@ -11,6 +11,5 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)alm.o: alm.cc \
-  $(SOPHYAINCP)sopnamsp.h alm.h \
+$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h \
@@ -35,43 +34,37 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
  
-$(SOPHYAOBJP)bruit.o: bruit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
-$(SOPHYAOBJP)circle.o: circle.cc \
-  $(SOPHYAINCP)sopnamsp.h circle.h \
+$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
+  circle.h $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h geometry.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  circle.cc
+ 
+$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
+  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
+  datacirclebase.h circle.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datacirclefake.h datacirclebase.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)unitvector.h geometry.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefake.cc
  
 $(SOPHYAOBJP)harmspher.o: harmspher.cc \
-  $(SOPHYAINCP)machdefs.h \
-  harmspher.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)machdefs.h harmspher.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  harmspher.cc
  
 $(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  lambdaBuilder.h \
+  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)machdefs.h \
@@ -97,9 +90,8 @@
   $(SOPHYAINCP)triangmtx.h \
   $(SOPHYAINCP)nbconst.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lambdaBuilder.cc
  
-$(SOPHYAOBJP)mlobe.o: mlobe.cc \
-  $(SOPHYAINCP)sopnamsp.h mlobe.h \
-  $(SOPHYAINCP)sphericalmap.h \
+$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h \
+  mlobe.h $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)machdefs.h \
@@ -127,9 +119,8 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mlobe.cc
  
 $(SOPHYAOBJP)sambainit.o: sambainit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  sambainit.h \
+  $(SOPHYAINCP)sopnamsp.h sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -137,8 +128,7 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sambainit.cc
  
-$(SOPHYAOBJP)scan.o: scan.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h scan.h \
   $(SOPHYAINCP)ppersist.h \
@@ -155,5 +145,5 @@
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scan.cc
  
 $(SOPHYAOBJP)sphericaltransformserver.o: sphericaltransformserver.cc \
@@ -190,7 +180,6 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)triangmtx.h \
-  lambdaBuilder.h \
+  $(SOPHYAINCP)triangmtx.h lambdaBuilder.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphericaltransformserver.cc
  
Index: trunk/SophyaLib/Samba/smakefile
===================================================================
--- trunk/SophyaLib/Samba/smakefile	(revision 2763)
+++ trunk/SophyaLib/Samba/smakefile	(revision 2765)
@@ -11,6 +11,5 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)alm.o: alm.cc \
-  $(SOPHYAINCP)sopnamsp.h alm.h \
+$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h \
@@ -35,43 +34,37 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
  
-$(SOPHYAOBJP)bruit.o: bruit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
-$(SOPHYAOBJP)circle.o: circle.cc \
-  $(SOPHYAINCP)sopnamsp.h circle.h \
+$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
+  circle.h $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h geometry.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  circle.cc
+ 
+$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
+  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
+  datacirclebase.h circle.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datacirclefake.h datacirclebase.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)unitvector.h geometry.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefake.cc
  
 $(SOPHYAOBJP)harmspher.o: harmspher.cc \
-  $(SOPHYAINCP)machdefs.h \
-  harmspher.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)machdefs.h harmspher.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  harmspher.cc
  
 $(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  lambdaBuilder.h \
+  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)machdefs.h \
@@ -97,9 +90,8 @@
   $(SOPHYAINCP)triangmtx.h \
   $(SOPHYAINCP)nbconst.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lambdaBuilder.cc
  
-$(SOPHYAOBJP)mlobe.o: mlobe.cc \
-  $(SOPHYAINCP)sopnamsp.h mlobe.h \
-  $(SOPHYAINCP)sphericalmap.h \
+$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h \
+  mlobe.h $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)machdefs.h \
@@ -127,9 +119,8 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mlobe.cc
  
 $(SOPHYAOBJP)sambainit.o: sambainit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  sambainit.h \
+  $(SOPHYAINCP)sopnamsp.h sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -137,8 +128,7 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sambainit.cc
  
-$(SOPHYAOBJP)scan.o: scan.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h scan.h \
   $(SOPHYAINCP)ppersist.h \
@@ -155,5 +145,5 @@
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scan.cc
  
 $(SOPHYAOBJP)sphericaltransformserver.o: sphericaltransformserver.cc \
@@ -190,7 +180,6 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)triangmtx.h \
-  lambdaBuilder.h \
+  $(SOPHYAINCP)triangmtx.h lambdaBuilder.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphericaltransformserver.cc
  
